summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSanto Cariotti <santo@dcariotti.me>2024-09-08 19:53:11 +0200
committerSanto Cariotti <santo@dcariotti.me>2024-09-08 19:53:11 +0200
commit2bb504cf4ea3308875b1cf04c96b2d2a5de486a2 (patch)
treeb06d78bcb28e3196c43680f60787d6133454e48e
parent39e18c9f7eae733fd7ddedb918f969f164cd23a3 (diff)
Add release tag
-rwxr-xr-xscripts/release10
1 files changed, 10 insertions, 0 deletions
diff --git a/scripts/release b/scripts/release
new file mode 100755
index 0000000..57231a8
--- /dev/null
+++ b/scripts/release
@@ -0,0 +1,10 @@
+if [ $# -eq 0 ]; then
+ echo "You must pass the version number."
+ exit 1
+fi
+
+sed -i "4s/.*/ \"version\": \"$1\",/" package.json
+pnpm i
+git add package.* pnpm-lock.yaml
+git commit -m "release: version $1"
+git tag -a "v$1" -m "Version $1"